Uploaded image for project: 'Spring Tool Suite'
  1. Spring Tool Suite
  2. STS-3536

Windows 7 64bit Install fails immediately due to JRE version

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 3.3.0.RELEASE
    • Fix Version/s: 3.6.2.RELEASE
    • Component/s: SUPPORT
    • Environment:
      Windows 7 64bit
      JRE: 1.7.0_21

      Description

      Downloaded the installer for STS 3.3.0 for Win7 64bit. Immediately failed saying JRE 1.6.0 was required. I then downloaded the ZIP version, unzipped it and it starts fine. I also noticed in the STS.ini file a line reading: -Dosgi.requiredJavaVersion=1.6

      Is it possible that this line causing the install to fail or is there another issue with the .exe file? I noticed also that there was a similar issue with the 3.2.0 version in a thread from "Forum->Spring Projects->Spring Tool Suite" on April 9th, 2013 where Martin Lippert mentioned that you would look at the installer issue...I haven't seen any resolution for it, however.

        Attachments

          Activity

            People

            Assignee:
            mlippert Martin Lippert
            Reporter:
            bobh Bob Hitchins
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: